Skip to main content
`Ctrl`+`K`

# MATBAIJ

MATBAIJ = “baij” - A matrix type to be used for block sparse matrices. This matrix type is identical to `MATSEQBAIJ` when constructed with a single process communicator, and `MATMPIBAIJ` otherwise.

## Options Database Keys

- -mat_type baij - sets the matrix type to `MATBAIJ` during a call to `MatSetFromOptions()`

## See Also

`Mat`, `MatCreateBAIJ()`, `MATSEQBAIJ`, `MATMPIBAIJ`, `MatMPIBAIJSetPreallocation()`, `MatMPIBAIJSetPreallocationCSR()`

## Level

beginner

## Location

src/mat/impls/baij/mpi/mpibaij.c

## Examples

src/ts/tutorials/ex35.cxx

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages